linux: 3.19.0-58.64 -proposed tracker

Bug #1558701 reported by Brad Figg on 2016-03-17
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Vivid
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-58.64 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 17. March 2016 17:37 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 17. March 2016 18:02 UTC
kernel-stable-Prepare-package-end:Friday, 18. March 2016 04:03 UTC
kernel-stable-Promote-to-proposed-start:Friday, 18. March 2016 04:03 UTC
kernel-stable-Verification-testing-start:Friday, 18. March 2016 13:01 UTC
kernel-stable-Certification-testing-start:Friday, 18. March 2016 13:01 UTC
kernel-stable-Security-signoff-start:Friday, 18. March 2016 13:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 18. March 2016 13:01 UTC
kernel-stable-Security-signoff-end:Saturday, 19. March 2016 14:41 UTC
kernel-stable-Regression-testing-end:Monday, 28. March 2016 15:02 UTC
kernel-stable-Verification-testing-end:Tuesday, 29. March 2016 15:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 31. March 2016 20:56 UTC
kernel-stable-Certification-testing-end:Thursday, 31. March 2016 20:56 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 05. April 2016 09:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 05. April 2016 10:03 UTC

Brad Figg (brad-figg) on 2016-03-17
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-vivid
tags: added: vivid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2016-03-17
description: updated
Andy Whitcroft (apw) on 2016-03-17
Changed in linux (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-vivid (14.04.1) - bug 1558905

description: updated
Brad Figg (brad-figg) on 2016-03-18
description: updated
Brad Figg (brad-figg) on 2016-03-19
description: updated
Brad Figg (brad-figg) on 2016-03-22
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2016-03-28
description: updated
Brad Figg (brad-figg) on 2016-03-29
description: updated
Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2016-03-31
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (15.2 KiB)

This bug was fixed in the package linux - 3.19.0-58.64

---------------
linux (3.19.0-58.64) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1558701

  [ Upstream Kernel Changes ]

  * Revert "Revert "af_unix: Revert 'lock_interruptible' in stream receive
    code""

linux (3.19.0-57.63) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1557623

  [ Kamal Mostafa ]

  * [Config] updateconfigs after 3.19.8-ckt16 stable update

  [ Upstream Kernel Changes ]

  * Revert "ALSA: hda - Fix noise on Gigabyte Z170X mobo"
    - LP: #1556297
  * Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
    - LP: #1540731
  * iw_cxgb3: Fix incorrectly returning error on success
    - LP: #1556297
  * EVM: Use crypto_memneq() for digest comparisons
    - LP: #1556297
  * x86/entry/compat: Add missing CLAC to entry_INT80_32
    - LP: #1556297
  * iio: add HAS_IOMEM dependency to VF610_ADC
    - LP: #1556297
  * iio: dac: mcp4725: set iio name property in sysfs
    - LP: #1556297
  * iommu/vt-d: Fix 64-bit accesses to 32-bit DMAR_GSTS_REG
    - LP: #1556297
  * ASoC: rt5645: fix the shift bit of IN1 boost
    - LP: #1556297
  * cgroup: make sure a parent css isn't offlined before its children
    - LP: #1556297
  * PCI/AER: Flush workqueue on device remove to avoid use-after-free
    - LP: #1556297
  * libata: disable forced PORTS_IMPL for >= AHCI 1.3
    - LP: #1556297
  * mac80211: Requeue work after scan complete for all VIF types.
    - LP: #1556297
  * rfkill: fix rfkill_fop_read wait_event usage
    - LP: #1556297
  * ARM: dts: at91: sama5d4: fix instance id of DBGU
    - LP: #1556297
  * crypto: shash - Fix has_key setting
    - LP: #1556297
  * drm/i915/dp: fall back to 18 bpp when sink capability is unknown
    - LP: #1556297
  * ALSA: usb-audio: Fix OPPO HA-1 vendor ID
    - LP: #1556297
  * ALSA: usb-audio: Add native DSD support for PS Audio NuWave DAC
    - LP: #1556297
  * target: Fix WRITE_SAME/DISCARD conversion to linux 512b sectors
    - LP: #1556297
  * crypto: algif_hash - wait for crypto_ahash_init() to complete
    - LP: #1556297
  * iio: inkern: fix a NULL dereference on error
    - LP: #1556297
  * iio: pressure: mpl115: fix temperature offset sign
    - LP: #1556297
  * intel_scu_ipcutil: underflow in scu_reg_access()
    - LP: #1556297
  * ALSA: seq: Fix race at closing in virmidi driver
    - LP: #1556297
  * ALSA: rawmidi: Remove kernel WARNING for NULL user-space buffer check
    - LP: #1556297
  * ALSA: pcm: Fix potential deadlock in OSS emulation
    - LP: #1556297
  * ALSA: seq: Fix yet another races among ALSA timer accesses
    - LP: #1556297
  * ALSA: timer: Code cleanup
    - LP: #1556297
  * ALSA: timer: Fix link corruption due to double start or stop
    - LP: #1556297
  * libata: fix sff host state machine locking while polling
    - LP: #1556297
  * MIPS: Fix buffer overflow in syscall_get_arguments()
    - LP: #1556297
  * cputime: Prevent 32bit overflow in time[val|spec]_to_cputime()
    - LP: #1556297
  * drm: add helper to check for wc memory support
    - LP: #1556297
  * drm/radeon: mask out WC from BO on unsupported arches
    - LP: #1556297
  * ASoC: ...

Changed in linux (Ubuntu Vivid):
status: New → Fix Released
Brad Figg (brad-figg) on 2016-04-05
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers